Page MenuHomePhabricator

"Mark as missing" does not trigger save action
Closed, ResolvedPublic1 Story Points

Description

Test plan:

  1. Translate any article with red links in the target language
  2. Mark one of them as missing
  3. Click "all translations" link before making other changes

Observe that no question about leaving the page with unsaved changes is asked, no automatic saving is triggered and if you restore draft the links are still gray.

Details

Related Gerrit Patches:
mediawiki/extensions/ContentTranslation : masterTrigger an input event after adding a red link

Event Timeline

Nikerabbit raised the priority of this task from to Needs Triage.
Nikerabbit updated the task description. (Show Details)
Nikerabbit added a project: ContentTranslation.
Nikerabbit moved this task to Needs Triage on the ContentTranslation board.
Nikerabbit added a subscriber: Nikerabbit.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 30 2015, 2:21 PM
Amire80 set Security to None.
Amire80 triaged this task as Medium priority.Jul 2 2015, 1:52 PM
Amire80 moved this task from Needs Triage to CX6 on the ContentTranslation board.Jul 2 2015, 4:36 PM
Amire80 moved this task from CX6 to CX7 on the ContentTranslation board.Oct 2 2015, 2:50 PM

Change 245761 had a related patch set uploaded (by Amire80):
Trigger an input event after addink a red link

https://gerrit.wikimedia.org/r/245761

Amire80 claimed this task.Oct 13 2015, 6:59 AM
Amire80 moved this task from Backlog to In review on the LE-CX7-Sprint 1 board.

Change 245761 merged by jenkins-bot:
Trigger an input event after adding a red link

https://gerrit.wikimedia.org/r/245761

Nikerabbit moved this task from In review to QA on the LE-CX7-Sprint 1 board.Oct 14 2015, 8:18 AM
Amire80 moved this task from QA to Done on the LE-CX7-Sprint 1 board.Oct 23 2015, 5:23 PM
Amire80 moved this task from Done to QA on the LE-CX7-Sprint 1 board.

It's fixed, but not yet deployed to production Wikipedia.

Amire80 edited a custom field.Oct 24 2015, 12:46 PM
Amire80 closed this task as Resolved.Nov 1 2015, 11:18 AM

Verified.

Amire80 moved this task from QA to Done on the LE-CX7-Sprint 1 board.Nov 1 2015, 11:18 AM